/***************************************************************************
Author Name		:	
Date of Creation:	
Version Number	:	
Purpose			:	
***************************************************************************/

/***************************************************************************
Function Name	:	
Parameters		:	
Return			:	

Description		:	
***************************************************************************/


/*Start 8th Apr 2003 Mandira added the following functions for validations */
function fnbVldAscii(pVal)
{
	pVal=fnsTrim(pVal);
	if(pVal.length==0)
	{
		return false;
	}
	for (i=0; i < pVal.length; i++)
	{
		if ((pVal.charCodeAt(i) < 0x0 ) || (pVal.charCodeAt(i) >0x7F) )
		{
			return false;
		}
	}

	return true;
}
//function to validate server name for IPX/SPX Protocol 
function fnbValidateServerNameFS(field)
{
	str = field.value;
	validChar = new RegExp("[0-9a-zA-Z-./_]","g");
	flag = str.match(validChar);

	if(str.length != 0)
	{
		if(flag == null )
		{
			return false;
		}
		else if(flag.length != str.length)
		{
			return false;
		}
	}
	return true;
}

//function to validate server name called from fileset.htm and admin/setup/scantofile/title.htm
//Hema removed '.' from the validchar on 23rd july 2003
function fnbValidateServerName(field)
{
	str = field.value;
	validChar = new RegExp("[0-9a-zA-Z-./_]","g");

	flag = str.match(validChar);

	if(str.length != 0)
	{
	if(flag == null )
	{
	
		return false;
	}
	else if(flag.length != str.length)
	{
	return false;
	}
}
	return true;
}

//function to validate network path called from fileset.htm and admin/setup/scantofile/title.htm
function fnbValidateNetworkPath(field)
{
	str = field.value;
	InvalidChar = new RegExp("[*?;<>|\"]","g");
	

	flag = str.match(InvalidChar);

	if((flag != null ) && (str.length >= 1) )
	{

		return false;
	}
	
	/* space is a valid character, so this check is not required
	for(i=0;i<str.length;i++)
	{
		if(str.charAt(i)==" ")
		return false;
	}
	*/
	return true;

}

//function to validate ftp/smb and pop3 username 
function fniValidateUserName(field)
{
	str = field.value;
	InvalidChar = new RegExp("[,()<>\":;]","g");//kato san modified on 120803

	for (i=0; i < str.length; i++)
	{
		
		if ((str.charCodeAt(i) < 0x0 ) || (str.charCodeAt(i) > 0x7F) || (str.charCodeAt(i) == 0x20) )//kato san modified on 120803
		{
			return 0;
		}
	}
	if(str.match(InvalidChar) != null )//kato san modified on 120803
	{
		return 1;
	}
}

//function to validate ftp/smb and pop3 password 
function fniValidatePassword(pVal)
{
	for (i=0; i < pVal.length; i++)
	{
		if ((pVal.charCodeAt(i) < 0x0 ) || (pVal.charCodeAt(i) > 0x7F) || (pVal.charCodeAt(i) == 0x20))
		{
			return 0;
		}
		/* space is a valid char so no need of checking.
		else if( (pVal.charCodeAt(i) == 0x20 ) && (0 < i) && (pVal.length != 1)  )
		{
			return 1;
		}*/
	}
}
/*End 8th Apr 2003 Mandira added the following functions for validations */

function fnsTrim(str)
{
		var liIndex = 0;
		var pStr = str + ""; // converting into a string to be in safe side.
		if(pStr.length == 0)
			return "";
		for(;liIndex < pStr.length ; liIndex++)
			if(pStr.charAt(liIndex) != " ")
				break;
		pStr = pStr.substr(liIndex,pStr.length);
		for(liIndex = pStr.length;liIndex >= 0 ;)
			if(pStr.charAt(--liIndex) != " ")
				break;
		pStr = pStr.substr(0,liIndex+1);
		if(pStr.length == 0)
			return "";
		return pStr;
}
	


// changing by A.Kato
function fnbValidateEmailAddr(pStr)
{
	if(pStr.length == 0)
		return false;
	for (i=0; i < pStr.length; i++)
	{
		if ((pStr.charCodeAt(i) < 0x20 ) || (pStr.charCodeAt(i) >0x7E) )
		{
			return false;
		}
	}
	return true;
}

/* Hema added as per the new validations */
//function fnbValidateEmailAddr(pStr)
//{
//	var lsEmailAddr;
//	var flag;
//	var liLenghAftAt;
//	var stringLn=pStr.length;
// Hema added "-" as per TTEC's code base on 18th june 2003- modified on 23rd july
//	var lbRegularExp= new RegExp("[a-zA-z0-9_.,-@/-`!#$%&\'*+=?{|}~]","g");// These are the valid characters allowed in email address
//	var lbInvalidExp= "\"()<>,:;[]\\"; // These are characters that are not allowed in the email address
//	var lbValidCharBfrAt="^_`!#$%&\'*+/=?{|}~";// These are the characters which are allowed only before '@' in the email Address
//	flag=pStr.match(lbRegularExp);
//	/* The below for loop will check for the validality of the Email Address entered. It will not check each
//	every email address */
//	for (i=0; i < pStr.length; i++)
//	{
//		if ((pStr.charCodeAt(i) < 0x0 ) || (pStr.charCodeAt(i) >0x7F) )
//		{
//			return false;
//		}
//	}
//	if(flag==null)
//	{
//		return false;
//	}
//	else if(flag.length!=pStr.length)
//	{	
//		return false;
//	}
//	else if(pStr.charAt(0)==",")
//	{	
//		return false;
//	}
//	larrRows = pStr.split(",");
//	for(i=0;i<larrRows.length;i++)
//	{
//		var count=0;
//		//      @ not there				 ||                   @ is last char				||					@ is 1st char
//		if(larrRows[i].search("@") == -1 ||larrRows[i].search("@") == larrRows[i].length-1 || larrRows[i].search("@") == 0)
//		{
//			return false;
//		} 
//		if(larrRows[i].charAt(0)=="/" ||larrRows[i].charAt(0)=="." )
//		{
//			return false;
//		}
//		// The below for loop will check the validity of each and every email address entered 
//		for(j=0;j<larrRows[i].length;j++)
//		{	
//			if(larrRows[i].charAt(j)=="@")
//			{
//				count=count+1;
//				if(count > 1 )// more than one @ is not allowed
//				{
//					return false;
//				}
//			}
//			if(larrRows[i].charAt(j)==".")
//			{
//				if(larrRows[i].charAt(j+1)==".")
//				{		
//					return false;
//				}
//			}	
//			if ((larrRows[i].charCodeAt(j) <= 0x20 ) || (larrRows[i].charCodeAt(j) == 0x7F) )
//			{
//				return false;
//			}
//			if(lbInvalidExp.indexOf(larrRows[i].charAt(j))!=-1)
//			{
//				return false;
//			}
//		}
//		larrRows[i]=larrRows[i].split("@");
//		
//	    liLenghAftAt=larrRows[i][1].length;
//	    for(j=0;j<liLenghAftAt;j++)
//	    {
//			if(lbValidCharBfrAt.indexOf(larrRows[i][1].charAt(j)) != -1)
//			{
//				return false;
//			}
//		}
//	}
//	return true;
//}




function fnbCheckServicePhone(pField,pErrStr)
    {
     str = pField.value;
     num = parseInt(pField.value, 10);
     validChar = "0123456789*-#";
     for (i=0; i < str.length; i++)
     {
      if (validChar.indexOf(str.charAt(i)) == -1)
      {
       alert(pErrStr);
       pField.focus();
       pField.select();
       return false;
      }
     }
	 return true;
    }  
 

function fnbValidateFieldWRTRegExp(pVal,pValidChar)
{
  if(pVal == "")
	return false;
  for (i=0; i < pVal.length; i++)
	if (pValidChar.indexOf(pVal.charAt(i)) == -1)
	 return false;
 return true;
}  

/* Srinivas Added */

function fnbValidateMBoxPasswd(pval)
{

	var lsvalidChar = "0123456789*#";
	if(pval.length == 0)// 27/02/03 reddy modified for fixing the ROM13 Bug No. 16.
		return false;
	 for (i=0; i < pval.length; i++)
     	if (lsvalidChar.indexOf(pval.charAt(i)) == -1)
			return false;
     
	 return true;    
}

/* Delete the following Function for final integration */
function fnnDispURI(pObjForm)// 31/03/03 reddy modified.
{
	// do nothing...
}
function fnnDispURI_Old(pObjForm)// 31/03/03 reddy modified.
{
	liTotalElements = pObjForm.elements.length;
	var lsCGI ="CGI:\t" + pObjForm.action + "?";
	for(liIndex=0;liIndex < liTotalElements;liIndex++)
	{
		lsElement = pObjForm.elements[liIndex];
		if((lsElement.name != "") && (lsElement.disabled != true))
		{
			if(lsElement.type == "radio" || lsElement.type == "checkbox")
				if(!lsElement.checked)
					continue;
			if(lsElement.type == "select" )
			{
				lsCGI = lsCGI + lsElement.name + "=" + lsElement.options[lsElement.selectedIndex].value + "&";
				continue;
			}
			lsCGI = lsCGI + lsElement.name + "=" + lsElement.value + "&";							
		}
	}
	lsCGI = lsCGI.slice(0,lsCGI.length-1);
	alert(lsCGI);
}
 

/* Reddy Added */ 

/*
 * This function checks or unchecks all check boxes in the table <p>objTable<p>
 * <p>objTable<p> Table object that contains the check boxes
 * <p>iChkBxColIndex<p> Index of the check box column eg: 0,1,...
 * <p>arrChkBx<p> Array of Checkbox IDs.
 */

/*26/02/2003 Netscape correction - The function has been modified as given below for netscape support*/
/*function fnnChkOrUnchkAll(objTable,iChkBxColIndex,arrChkBx)
{	//alert("inside fnnChkOrUnchkAll");
	var lbState;	
	var lsInnerHtml;
	lsInnerHtml=objTable.rows[0].cells[iChkBxColIndex].innerHTML;



	var lsImgName="checkbutton.gif";
	
	if((lsInnerHtml).indexOf(lsImgName)!=-1)
	{
		objTable.rows[0].cells[iChkBxColIndex].innerHTML = lsInnerHtml.replace(lsImgName,"checkbuttondown.gif");
		lbState=true;

	}
	else
	{
		objTable.rows[0].cells[iChkBxColIndex].innerHTML = lsInnerHtml.replace("checkbuttondown.gif",lsImgName);
		lbState=false;
	}

	liChkBxCount = arrChkBx.length;
	for(i=0;i<liChkBxCount;i++)
	{
		arrChkBx[i].checked=lbState;
	}
}	
*/

function fnnChkOrUnchkAll(form)
{	
	var lbState=false;
	var liFrmLength=form.length;
	var lsForm= form;
	var graphicsName = form.chkBoxHeader.src;
	var lsImgName="checkbutton.gif";

	if((graphicsName).indexOf(lsImgName)!=-1)
	{
		lbState=true;
		form.chkBoxHeader.src=graphicsName.replace(lsImgName,"checkbuttondown.gif");
	}
	else
	{
		form.chkBoxHeader.src=graphicsName.replace("checkbuttondown.gif","checkbutton.gif");
	}
	for(i=0;i<liFrmLength;i++)
	{		
		lsForm.elements[i].checked=lbState;				
	}
}


  
  
  
  function fnncheck(lsForm)
  {
			
				var graphicsName = lsForm.chkBoxHeader.src;
				var lsImgName1="checkbutton.gif";
				var lsImgName2="checkbuttondown.gif";
				var lbstate=false;
				var liCheckCnt=0;
				var liUnCheckCnt=0;
			
				var liDestIDLength=lsForm.DestID.length;
				//alert(lsForm);
				//alert(liDestIDLength);
				for(liFormIndex=0;liFormIndex<liDestIDLength;liFormIndex++)
				{
					if(lsForm.DestID[liFormIndex].checked == true)
					liCheckCnt++;
					else 
					liUnCheckCnt++;		
				}	
				if(liCheckCnt==liDestIDLength)
				{
					if((graphicsName).indexOf(lsImgName1)!=-1)
					{
					lsForm.chkBoxHeader.src=graphicsName.replace(lsImgName1,"checkbuttondown.gif");
					}
					return;
				}
				else if(liUnCheckCnt==liDestIDLength)
				{
					if((graphicsName).indexOf(lsImgName2)!=-1)
					{
					lsForm.chkBoxHeader.src=graphicsName.replace(lsImgName2,"checkbutton.gif");
					}
					return;	
				}
				return;
				
				
				}








/* 
 * This function returns the number of checked boxes in a form.
 * <p>arrChkBx<p> Represents the array of Checkboxes in a form.
 */	
			
function fniGetNumOfChkdBxs(arrChkBx)
{	
	var liCount=0;
	var i,j;

	liChkBxCount = arrChkBx.length;
	for(i=0;i<liChkBxCount;i++)
	{
		if(arrChkBx[i].checked)
		{
			liCount++;
		}
	}
	return liCount;
}	
					
/* 
 * The following function displays the CGI called with all the parameters and values
 * <p>objFrm<p> represents the form to be submitted
 */
 
function fnnDisplayURI(objFrm,strURI)// 31/03/03 reddy modified.
{
	// do nothing
}
function fnnDisplayURI_Old(objFrm,strURI)// 31/03/03 reddy modified.
{
	var lsURI="";
	var lsTrimURI="";
	var liLength=0;
					
	liTotalElements = objFrm.elements.length;
	lsCGI=strURI;
	
	for(liIndex=0;liIndex < liTotalElements;liIndex++)
	{
		lsElement = objFrm.elements[liIndex];
		if(lsElement.name != "" )                                                           
		{
            if( lsElement.disabled
				|| (lsElement.type == "checkbox" && lsElement.checked != true) 
				|| (lsElement.type == "file")
				|| (lsElement.type == "radio" && lsElement.checked != true)
				)
				continue;

				/* For Netscape support the cgi to be displayed for select item is treated separately*/
				if(lsElement.type == "select-one")
				{
					lsCGI = lsCGI + lsElement.name + "=" + objFrm.elements[liIndex][objFrm.elements[liIndex].selectedIndex].value + "&";
				}
				else
				{
					lsCGI = lsCGI + lsElement.name + "=" + lsElement.value + "&";
				}
		}
	}

	lsTrimURI=lsCGI.slice(0,lsCGI.length-1);
	lsTrimURI += "\n [Method=" + (objFrm.method).toUpperCase() + "]" ;
	alert(lsTrimURI);				
}

/*function fnsTrim(string)
{//alert("inside Trim")
	var i, j;
	var strBuf;

	if(string.length == 0)
		return	"";

	// LTrim
	for(i = 0; i < string.length; i++)
	{
		if(string.substring(i, i+1) != " ")
			break;
	}
	strBuf = string.substring(i, string.length);
	if(strBuf.length == 0)
		return "";

	// RTrim
	for(i = strBuf.length; i > 0; i--)
	{
		if(strBuf.substring(i-1, i) != " ")
			break;
	}
	strBuf = strBuf.substring(0,i);
	if(strBuf.length == 0)
		return	"";

	return	strBuf;
}*/


function fnbValidateDeptCode(pval)
{

	var lsvalidChar = "0123456789";
	 for (i=0; i < pval.length; i++)
     	if (lsvalidChar.indexOf(pval.charAt(i)) == -1)
			return false;
     
	 return true;    
}

function fnbValidateForNumber(pval)
{

	var lsvalidChar = "0123456789";
	 for (i=0; i < pval.length; i++)
     	if (lsvalidChar.indexOf(pval.charAt(i)) == -1)
			return false;
     
	 return true;    

}

/* 28/03/2003 as per the new validation spec function added by Mandira for Admin/Setup/Fax/List.htm*/
function fnbValidateForFaxNumber(pval)
{

	var lsvalidChar = "0123456789*#-+";

	
	 for (i=0; i < pval.length; i++)
     	if (lsvalidChar.indexOf(pval.charAt(i)) == -1)
			return false;
	
// Hema added as per TTEC's request on 26th june 2003
	
		if(pval.indexOf("+")!=-1)
		{	
			if(pval.indexOf("+")!=0)
			return false;
			if(pval.lastIndexOf("+")!=0)
			return false;   
		} 
	 return true;    
}

function fnbValidateLimitColor(pval)
{
		var lsvalidChar = "0123456789";
	 for (i=0; i < pval.length; i++)
	 {
     	if (lsvalidChar.indexOf(pval.charAt(i)) == -1)
		return false;
	  }
	  if(pval>99999999)
	  return false;
	return true;	
}




/* Hema added  '+' in the invalid characters on 23rd july 2003*/

function fnbVldFilenameAndCaption(pval,pErrStr,pErrStrSpace)
{
	// Hema removed + from the list on TTEC's request on 26th june 2003
	//Removed  "." from the list 
	var lsvalidChar = "[]*?/\\\"|<>,;:=+"; 
	var lsDot;
	// Hema added on TTEC's version on 06th june 2003--Starts
	if(pval=="")
	{
		alert(pErrStr);
		return false;
	}
	

	if(pval.charAt(0)==" ")
	{
		alert(pErrStr);
		return false;
	}
	// Hema added on TTEC's version on 06th june 2003--Ends
	// This part of the code is added by TTEC-Starts
	start=0,end=0,i=0;
	// Hema commented this function and added fnsTrim instead of this on 26th june 2003
	/*while(pval.charAt(i)==" ")
		i++
	start=i;end=i;
	for(i=start;i<pval.length;i++){
		if(pval.charAt(i)!=" "){
			end=i;
		}
	}
	
	pval=pval.slice(start,end)*/
	pval=fnsTrim(pval);
	

	// This part of the code is added by TTEC-Ends
	// Hema added on TTEC's version on 06th june 2003--Starts
	if(pval=="")
	{
		alert(pErrStr);
		return false;
	}
	// Begining and ending of file name should not contain "."
	if((pval.charAt(0)==".")||(pval.charAt(pval.length-1)=="."))
	{
		alert(pErrStr);
		return false;
	}


	// Hema added on TTEC's version on 06th june 2003--Ends
	for (i=0; i<pval.length; i++)
	{
     	if(lsvalidChar.indexOf(pval.charAt(i)) != -1)
     	{
  
     	alert(pErrStr);
		return false;
		}
		else if(pval.charAt(i)==".")
		{
			if(lsDot+1==i)
			{
				alert(pErrStr);
				return false;
			}
			lsDot = i;
		}
	}
	
	return true;
}


/* Hema added */

function fnbVldBoxDocFolderName(pField,pErrStr)
{
	var lsvalidChar = "[]*%?/\\\"\'|<>;&#:{=},";
	pval=pField.value;
	//pval=fnsTrim(pval);
	if(pval=="")
	{
		alert(pErrStr);
		pField.select();
		pField.focus();
		

		return false;
	}
	
	if(pval.charAt(0)==" " || pval.charAt(0)==".")
	{
		alert(pErrStr);
		pField.select();
		pField.focus();
		
		return false;
	}
	if(pval.charAt(pval.length-1)==" " || pval.charAt(pval.length-1)==".")
	{
		alert(pErrStr);
		pField.select();
		pField.focus();
		
		return false;
	}
	for (i=0; i<pval.length; i++)
	{
     	if(lsvalidChar.indexOf(pval.charAt(i)) != -1)
     	{
     	alert(pErrStr);
     	pField.select();
		pField.focus();
		

		return false;
		}
	}
	return true;

}
// Hema added on 17th june 2003
function fniValidatePortNumber(field)
{
	str = field.value;
	validChar = "0123456789";
	if(str==0)
	{
		field.value="-";
		return;
	}
	for (i=0; i < str.length; i++)
	{
		if (validChar.indexOf(str.charAt(i)) == -1)
		{
						
		field.value="-";
		return;
		}
					
	}
	if(str > 65535)			// A.Kato add on 23th july 2003
	{
		field.value="65535";
		return;
	}
}

function fnbValidatePortNumber(field)
	{
		str = field.value;
		num = parseInt(field.value, 10);
		validChar = "0123456789";
		
		if(str.length==0)
		{
			field.value=1;
			return ;
		}
		
		// Hema added this check as per TTEC's request on 25th july 2003
		if(str=="0" || str=="00" || str=="000" || str=="0000" || str=="00000")
		{
			field.value=1;
			return; 
		}
		for(i=0;i<str.length; i++)
		{
			if (validChar.indexOf(str.charAt(i)) == -1)
			{
				field.value=1;
				return 
			}
			else if(str>65535)
			{
				field.value=65535;
				return 
			}
		}
	}



	
// Hema added validation for 'Terminal id ' on 26th june 2003
	function fnbValidateTerminalId(str)
{
	//str = field.value;
	validChar = new RegExp("[0-9a-zA-Z]","g");

	flag = str.match(validChar);

	if(str.length != 0)
	{
	if(flag == null )
	{
	
		return false;
	}
	else if(flag.length != str.length)
	{
	return false;
	}
}
	return true;
}



function fnnValidatePartialTime(field)
{
	if((field.value != "") && (!fnbValidateForNumber(field.value)))
	{
		
		return false;
	}
				
	if(field.value<1 || field.value>168)
	{
		
		return false;
	}
				
}

								// this function sets the value of pObj to pDefultVal
function fnnSetDefaultVal(pObj,pDefultVal)
{
	if(fnsTrim(pObj.value) == "")
	{
		pObj.value = pDefultVal;
		return;
	}
}

/* Atushi Kato TTEC */
function ValidateStringForMaxLength(oTxtfield, strErrMsg)
{
	var iLoop, iCount = 0;
	var nCode;
	var sTxtvalue = oTxtfield.value;
	var bMaxbytenotEx = true;
	
	for(iLoop = 0; iLoop < sTxtvalue.length; iLoop++)					// for each character in the string,
	{
		nCode = sTxtvalue.charCodeAt(iLoop);							// the character code is extracted
		if((nCode <= 0x7E) || ((nCode >= 0xff61) && (nCode <= 0xff9F)))	// and compared to the ascii and single byte Japanese range
		{
			iCount++;													// If it falls, incremented by 1
		}
		else
		{
			iCount += 2;												// Else by 2.
		}
	}

	if(iCount > oTxtfield.maxLength)									// If the count is greater than maxlen of the text field,
	{
		oTxtfield.focus();
		oTxtfield.select();
		alert(strErrMsg);												// error message, focus and reverse.

		oTxtfield.focus();
		oTxtfield.select();
		bMaxbytenotEx = false;
	}
	return bMaxbytenotEx;
}	

// Hema added on 9th september 2003 for mac os maximum length problem
function ValidateInputFieldForMaxLength(oTxtfield, strErrMsg)
{
	var sTxtvalue = oTxtfield.value;
	var bMaxbytenotEx = true;
	if(sTxtvalue.length> oTxtfield.maxLength)								
{
		alert(strErrMsg);												
		oTxtfield.focus();
		oTxtfield.select();
		bMaxbytenotEx = false;
	}
	return bMaxbytenotEx;
	
}


// Hema added on 20th December 2003 for Netbios and Workgroup Validation.

function fnnValidateNetBios(pField,pErrStr)
{
	regexp = new RegExp("[^0-9a-zA-Z\-]","g");
	pVal=pField.value;
	if(pVal.match(regexp) != null)
	{
		alert(pErrStr);
		pField.select();
		pField.focus();
		return false;	
	}
	return true;
}

function fnnValidateWorkgroup(pField,pErrStr)
{
	var lsInValidChars=";:\"<>*+=\\|?, ";
	pVal=pField.value;
	for(i=0;i<pVal.length;i++)
	{
		if ((pVal.charCodeAt(i) < 0x0 ) || (pVal.charCodeAt(i) >0x7F) )
		{
				alert(pErrStr);
				pField.select();
				pField.focus();
				return false;	
		}
		if(lsInValidChars.indexOf(pVal.charAt(i)) != -1)
		{	
				alert(pErrStr);
				pField.select();
				pField.focus();
				return false;	
		}
	}
	return true;
}

//function to validate ftp/smb and pop3 username 
function fniValidatePop3UserName(field)
{
	str = field.value;
	for (i=0; i < str.length; i++)
	{
		if ((str.charAt(i) < "!" ) || (str.charAt(i) > "~"))
		{
			return 0;
		}
	}
}



function fniValidateFrmLineVal(val)
{

		str = fnsTrim(val);
	
		// check it is a number or not
		if((str == "") || (isNaN(str)) || (str.indexOf("e") != -1) || (str.indexOf("E") != -1))
		{
		
			val = "5.0";
		}
		else if(str < 5)
		{
		
			val = "5.0";
		}
		else if(str > 128)
		{
			val = "128.00";
		}
		else // 5.0 >= str <= 128.00
		{	
			// Hema added this piece of code on october 2nd
			str=fnsTwodigits(str);	
			dotIndex=str.indexOf(".");
			noOfDigitsAftDot=str.slice(dotIndex+1,str.length);
			if(dotIndex==-1)
			{
				
				str=str+"."+"0";
					
			}
			else if(noOfDigitsAftDot.length==1)
			{
				str=str+"0";
			}
			val=str;
		}	
		return val;
	}



function fniValidatePCLFontPitch(val)
	{
		str = fnsTrim(val);
		// check it is a number or not
		if((str == "") || (isNaN(str)) || (str.indexOf("e") != -1) || (str.indexOf("E") != -1))
		{
			val = "0.44";
		}
		else if(str < 0.44)
		{
			val = "0.44";
		}
		else if(str > 99.99)
		{
			val = "99.99";
		}
		else // 0.44 >= str <= 99.99
		{
			// convert the value in the form of XXXX.XX
			str=fnsTwodigits(str);	
			dotIndex=str.indexOf(".");
			noOfDigitsAftDot=str.slice(dotIndex+1,str.length);
			if(dotIndex==-1)
			{
				str=str+"."+"0";
					
			}
			else if(noOfDigitsAftDot.length==1)
			{
				str=str+"0";
			}
				
			val=str;
		}
		return val;
	}


	function fniValidatePCLFontSize(val)
	{
		str = fnsTrim(val);
		
		
		// check it is a number or not
		if((str == "") || (isNaN(str))  || (str.indexOf("e") != -1) || (str.indexOf("E") != -1))
		{
			val = "4.0";
		}
		else if(str < 4)
		{
			val = "4.0";
		}
		else if(str > 999.75)
		{
			val = "999.75";
		}
		else // 4.0 >= str <= 999.75
		{
			
		// Hema added this piece of code on october 2nd
			str=fnsTwodigits(str);	
			dotIndex=str.indexOf(".");
			noOfDigitsAftDot=str.slice(dotIndex+1,str.length);
			if(dotIndex==-1)
			{
				
				str=str+"."+"0";
					
			}
			else if(noOfDigitsAftDot.length==1)
			{
				str=str+"0";
			}
			
			val=str;
		}
		return val;
	}
	
	// Hema added this function for restricting to only 2 digits after decimal point so that rounding off can be avoided on october 2nd
	function fnsTwodigits(x)
	{
		y=x.indexOf(".");
		firstindex=x.substr(0,y)
		if(firstindex=="" && y==-1 )
		{
			return x;
		}
		
		else if(firstindex=="")
		{
			firstindex="0";		
		}
		r=x.slice(y,y+3)
		lsResultString=firstindex.concat(r)
		return lsResultString ;
	}
		
	//This function is added for Language check and it is implemented on top of ROM 49 source not included for RC3.
function fniValidateLangageCheck(str,lang) {
	
	if(  (lang  == "GB2312") ||  (lang == "BIG5") || (lang == "EUC-KR")    )
	{
		for (i=0; i < str.length; i++)
		{
			if ((str.charCodeAt(i) < 0x20 ) || (str.charCodeAt(i) >0x7E))
			{
				return true;
			}
		}
	}

	return false;

}	

/*Kiruthiga added this Function for validating Administrator  password in General and Login screen and for validating department password.0n 10/9/2004(Rom 50)*/
/* Jayaprakash modified this function to allow the password field to accept only Alphanumeric Characters on 01/11/2004 (ROM51) */

function fnbValidatePassword(str)
{
	var liCount;
	var lsCharCode;
	var liSize = str.length; // get the string size

	for(liCount = 0; liCount < liSize; liCount++) {
		
		lsCharCode = str.charCodeAt(liCount);

		if( (lsCharCode < 0x30 || lsCharCode > 0x39 )
			&& ( lsCharCode < 0x41 || lsCharCode > 0x5A )
			&& ( lsCharCode < 0x61 || lsCharCode > 0x7A ) )  

		        return true;
			
	}
	
	return false;
	
}
//Kiruthiga added this function for SMTP-LDAP Authentication
function fnbValidateSMTPLDAP(field)
{
	var sFieldVal = field.value;
	if(sFieldVal == "")
		return true;
	else 
	{
		for(i=0;i<sFieldVal.length;i++)
		{
			var sFieldValCode = sFieldVal.charCodeAt(i);
			if(sFieldValCode < 0x20 || sFieldValCode> 0x7F)
				return true;
		}
		return false;
	}



}


function fnbValidateUserLoginFields(field)
{
	var sFieldVal = field.value;
	
	for(i=0;i<sFieldVal.length;i++)
	{
		var sFieldValCode = sFieldVal.charCodeAt(i);
		if(sFieldValCode < 0x00 || sFieldValCode> 0x7F)
			return true;
	}
	return false;
	
}

//This function validated the Domain Name/PDC/BDC Text in UserManagement/Authentication/UserAuthentication/UserAuthNTLM.htm
function fnbValidateNTLM(field)

{
	var sFieldVal = field.value;
	for(i=0;i<sFieldVal.length;i++)
	{
		var sFieldValCode = sFieldVal.charCodeAt(i);
		if(sFieldValCode < 0x20 || sFieldValCode> 0x7F)
			return true;
	}
	return false;
	
}


function fnbValidateUserCreateFields(field)
{
		sFieldVal= field.value;
		if(sFieldVal != "")
		for(i=0;i<sFieldVal.length;i++)
		{
			var sFieldValCode = sFieldVal.charCodeAt(i);
			if(sFieldValCode < 0x20 || sFieldValCode> 0x7E)
				return true;
		}
		return false;
	
}
