/***************************************************************************
Author Name		:	Hema.K
Date of Creation:	06/10/2002
Version Number	:	1.0
Purpose			:	This file is used to set the cookie for a particular
					name and get the value for the same name
***************************************************************************/

/***************************************************************************
Function Name	:	fnnGetCookie()
Parameters		:	name
						
Return			:	value of the name set in 'fnnSetCookie' method.

Description		:	This function sets the cookie to a particular value.

***************************************************************************/

function fnsGetCookie(Name)
{//alert("fnngetCookie() is called with key = " + Name);
	var search = Name + "="   
	if (document.cookie.length > 0) // if there are any cookies
	{
		offset = document.cookie.indexOf(search)
	    if (offset != -1)// if cookie exists
		{
			offset += search.length;          // set index of beginning of value
			end = document.cookie.indexOf(";", offset);          // set index of end of cookie value         
			if (end == -1)
				end = document.cookie.length;
			return unescape(document.cookie.substring(offset, end));
    	}
    	else //if the cookie with that name does not exist retrun ""
    		return "";
	}
	else
		return "";
}

/***************************************************************************
Function Name	:	fnnSetCookie()
Parameters		:	name,value,expire
						
Return			:	none

Description		:	This function sets the cookie to a particular value.

***************************************************************************/

function fnnSetCookie(name, value, expire)
{
//alert("path" + path);
//alert("fnnSetCookie() is called with key = " + name  + " and value = " + value);
   document.cookie = name + "=" + escape(value)  //+ ((expire == null) ? "" : ("; expires=" + expire.toGMTString()));
  /*document.cookie=name + "=" + escape(value) + 
((expire) ? "; expires=" + expire.toGMTString() : "") + 
((path) ? "; path=" + path : "") + 
((domain) ? "; domain=" + domain : "") + 
((secure) ? "; secure" : "") */


   
}
