/***************************************************************************
Author Name		:	Raja Sekhara Reddy J
Date of Creation:	09/10/2002
Version Number	:	1.0
Purpose			:	This file loads Contents of a selected Mode in the Setup Title screens
***************************************************************************/

// This function is called on click of a link like 'General' etc in the title frame of Setup pages.
// This function loads the corresponding contents pages.
function fnnLoadContents(i,psFaxBoardInfo)
{
	switch(i)
	{
		case 0:
			lsFileName="/General/Frame.htm";
			break;
		case 1:
			lsFileName="/Network/Frame.htm";
			break;
		case 2:
			lsFileName="/Copy/Frame.htm";
			break;
		case 3:
			lsFileName="/Fax/Frame.htm";
			break;
		case 4:
			lsFileName="/ScanToFile/Frame.htm";
			break;
		case 5:
			lsFileName="/ScanToEmail/Frame.htm";
			break;
		case 6:
			lsFileName="/ScanToIFax/Frame.htm";
			break;
		case 7:
			lsFileName="/Printer/Frame.htm";
			break;
		case 8:
			lsFileName="/PrintService/Frame.htm";
			break;
		case 9:
			lsFileName="/Version/List"+ psFaxBoardInfo + ".htm";// In case Fax Board is not attached
			break;
	}
	parent.location = ".." + lsFileName;
	return false;
}
