/***************************************************************************
Author Name		:	Srinivas
Date of Creation:	06/09/2002
Version Number	:	1.0
Purpose			:	This file loads Sub Menu of a selected tab in the Jobs SubMenu
***************************************************************************/

/***************************************************************************
Function Name	:	fnnLoadJobsSubMenu
Parameters		:	<p>sSubMenuSelected<p> represents tab selected in Jobs SubMenu.					
Return			:	none
Description		:	Depending on <p>sSubMenuSelected<p> this function loads the Jobs SubMenu Frame
***************************************************************************/

function fnnLoadJobsSubMenu(sSubMenuSelected)
{
	var lsSubMenuLocation;
	var lsContentsLocation;
	var lsCGI = "../../default.htm?MAIN=JOBS&SUB=";
	switch(sSubMenuSelected)
	{
		case "Print" :
			lsCGI = lsCGI + "PRINT";
			lsSubMenuLocation =  "/TopAccess/Jobs/Print/SubMenu.asp";
			lsContentsLocation = "/TopAccess/Jobs/Print/JobFrame.htm";
			break;
		case "FaxTx" :
			lsCGI = lsCGI + "FAXTX";
			lsSubMenuLocation = "/TopAccess/Jobs/FaxTx/SubMenu.asp";
			lsContentsLocation = "/TopAccess/Jobs/FaxTx/JobFrame.htm";
			break;
		case "Scan" :
			lsCGI = lsCGI + "SCAN";
			lsSubMenuLocation = "/TopAccess/Jobs/Scan/SubMenu.asp";
			lsContentsLocation = "/TopAccess/Jobs/Scan/JobFrame.htm";
			break;
		default :
			lsCGI = lsCGI + "PRINT";
			lsSubMenuLocation =  "/TopAccess/Jobs/Print/SubMenu.asp";
			lsContentsLocation = "/TopAccess/Jobs/Print/JobFrame.htm";
			break;
	}
	
	/* Comment for final integration */
	//The following line has been commented as per the client request. 29/03/03 Reddy
	//alert("parent.location.href = \"" + lsCGI + "\"");
	/*
	parent.frames["SubMenu"].location.href =  lsSubMenuLocation;
	parent.frames["Contents"].location.href = lsContentsLocation;
	*/
	/* Uncomment for final integration */
	parent.location.href = lsCGI;
}
