/***************************************************************************
Author Name		:	Hema.K
Date of Creation:	06/09/2002
Version Number	:	1.0
Purpose			:	This file contains function which loads the the appropriate
					submenu when the corresponding TopMenu is selected.
***************************************************************************/

// For Lobs Tab SubMenu
function fnnLoadLogsSubMenu(strSubMenuSelected)
{
	var lsSubMenuLocation;
	var lsContentsLocation;
	var lsCGI = "../../default.htm?MAIN=LOGS&SUB=";
	switch(strSubMenuSelected)
	{
		case "Print" :
			lsCGI = lsCGI + "PRINT";
			lsSubMenuLocation =  "/TopAccess/Logs/PrintLogs/SubMenu.asp";
			lsContentsLocation = "/TopAccess/Logs/PrintLogs/LogList.asp";
			break;
		case "FaxTx" :
			lsCGI = lsCGI + "TRANS";
			lsSubMenuLocation = "/TopAccess/Logs/FaxTxLogs/SubMenu.asp";
			lsContentsLocation = "/TopAccess/Logs/FaxTxLogs/LogList.asp";
			break;
		case "FaxRx" :
			lsCGI = lsCGI + "RECEPT";
			lsSubMenuLocation = "/TopAccess/Logs/FaxRxLogs/SubMenu.asp";
			lsContentsLocation = "/TopAccess/Logs/FaxRxLogs/LogList.asp";
			break;
		case "Scan" :
			lsCGI = lsCGI + "SCAN";
			lsSubMenuLocation = "/TopAccess/Logs/ScanLogs/SubMenu.asp";
			lsContentsLocation = "/TopAccess/Logs/ScanLogs/LogList.asp";
			break;
		default :
			lsCGI = lsCGI + "PRINT";
			lsSubMenuLocation =  "/TopAccess/Logs/PrintLogs/SubMenu.asp";
			lsContentsLocation = "/TopAccess/Logs/PrintLogs/LogList.asp";
			break;
	}
	/* Comment for final integration */
	//The following line has been commented as per the client request. 29/03/03 Reddy
	//alert("parent.location.href = \"" + lsCGI + "\"");
	/*
	parent.frames["SubMenu"].location.href =  lsSubMenuLocation;
	parent.frames["Contents"].location.href = lsContentsLocation;	
	*/
	/* Uncomment for final integration */
	parent.location.href = lsCGI;
	
	
}
	
