/***************************************************************************
Author Name		:	Srinivas
Date of Creation:	06/09/2002
Version Number	:	1.0
Purpose			:	This file loads Sub Menu of a selected tab under the Registration Top Menu
***************************************************************************/

/***************************************************************************
Function Name	:	fnnLoadRegistrationSubMenu
Parameters		:	<p>sSubMenuSelected<p> represents tab selected in Registration.					
Return			:	none
Description		:	Depending on <p>sSubMenuSelected<p> this function loads the Registration Tab SubMenu Frame
***************************************************************************/

function fnnLoadRegistrationSubMenu(sSubMenuSelected)
{
	var lsSubMenuLocation;
	var lsContentsLocation;
	var lsCGI = "../../default.htm?MAIN=REGIST&SUB=";
	switch(sSubMenuSelected)
	{
		case "Template" :	
			lsCGI = lsCGI + "TEMP";
			lsSubMenuLocation = "./Registration/Template/SubMenu.asp";
			lsContentsLocation = "./Registration/Template/GroupAllList.asp";
			break;
		case "AddressBook" :
			lsCGI = lsCGI + "ADDR";
			lsSubMenuLocation = "./Registration/AddressBook/SubMenu.asp";
			lsContentsLocation = "./Registration/AddressBook/AddrBook.htm";
			break;
		case "MailBox" :
			lsCGI = lsCGI + "MBOX";
			lsSubMenuLocation = "./Registration/MailBox/SubMenu.asp";
			lsContentsLocation = "./Registration/TBD/TBD.asp";
			break;
		default :
			lsCGI = lsCGI + "TEMP";
			lsSubMenuLocation = "./Registration/Template/SubMenu.asp";
			lsContentsLocation = "./Registration/Template/GroupAllList.asp";
			break;
	}
	/* Comment for final integration */
	/*Hema commented on 30/03/2003*/
	//alert("parent.location.href = \"" + lsCGI + "\"");
	/*
	parent.frames["SubMenu"].location.href =  lsSubMenuLocation;
	parent.frames["Contents"].location.href = lsContentsLocation;
	*/
	/* Uncomment for final integration */
	parent.location.href = lsCGI;
	
	
}
