/************************************************************************
 *	Copyright (C) 2006.03.06											*
 *		Tokyo Electric Co., Ltd. All Rights Reserved					*
 *		1-14-10 Uchikanda Chiyoda Tokyo JAPAN							*
 ************************************************************************/
/************************************************************************
 *	MODEL NAME		: TopAccess Simulator / APL V1.0					*
 *	SOURCE NAME		: LocationSearch.js									*
 *	FIRST AUTHOR		: M.UCHIYAMA  					 				*
 *	DESCRIPTION		: LocationSearch 擾NX							*
 ************************************************************************/
/************************************************************************
 *	MAINTENANCE HEADER													*
 *----------------------------------------------------------------------*
 *	SYSTEM NAME	GUIDANCE	NAME		DATE							*
 *	V1.0		M.UCHIYAMA	M.UCHIYAMA	06.03.07						*
 ************************************************************************/
function CLocationSearch(sSource) {
	var sAry = new Array();	
	{
		var nCur = 0, nRet = 0;
		var sSearch = sSource.substr(1);
		var sName, sValue;
		nRet = sSearch.indexOf('=', nCur)
		while(nRet >= 0) {
			sName = sSearch.substring(nCur, nRet);
			nCur = nRet + 1;
			nRet = sSearch.indexOf('&', nCur);
			if (nRet == -1) nRet = sSearch.length + 1;
			sValue = sSearch.substring(nCur, nRet);
			sAry[sName] = sValue;
			nCur = nRet + 1;
			nRet = sSearch.indexOf('=', nCur);
		}
	}
	this.valueOf = function () {
		return sSource;
	}
	this.item = function (sVarname) {
		try {
			return sAry[sVarname];
		} catch(e) {
			return '';
		}
	}
	this.length   = function () {
		return sAry.length;
	}
	this.toString = function () {
		return this.length + '';
	}
}