/***************************************************************************
Author Name		:	Srinivas
Date of Creation:	06/09/2002
Version Number	:	1.0
Purpose			:	This file loads Top Menu of a selected tab in the TopMenu
***************************************************************************/

/***************************************************************************
Function Name	:	fnnLoadTopMenu
Parameters		:	<p>sTabSelected<p> represents tab selected in TopMenu.					
Return			:	none
Description		:	Depending on <p>sTabSelected<p> this function loads the TopMenu Frame
***************************************************************************/

function fnnLoadTopMenu(sTabSelected,aSSLLink,aHTTPLINK)
{
		var lsTopMenuLocation;
		var lsSubMenuLocation;
		var lsContentsLocation;
		var lsCGI = "default.htm?MAIN=";
		aHTTPLINK = "../";
		aSSLLink = "../";
		switch(sTabSelected)
			{
				case "Device" :
					lsCGI = aHTTPLINK + lsCGI + "DEVICE";
					break;
				case "Jobs" :
					lsCGI = aHTTPLINK + lsCGI + "JOBS&SUB=PRINT";
					break;
				case "Logs" :
					lsCGI = aHTTPLINK + lsCGI + "LOGS&SUB=PRINT";
					break;
				case "Registration" :
					lsCGI = aHTTPLINK + lsCGI + "REGIST&SUB=TEMP";
					break;
				case "Counter" :
					lsCGI = aHTTPLINK + lsCGI + "COUNT&SUB=TOTAL";
					break;
				/*Kiruthiga added this check for RIO Beta 6 on 8/12/2004*/
				case "UserManagement":
					lsCGI = aSSLLink + lsCGI + "USERMGMT&SUB=CONFCREATEDIT";
					break;
				/*Sivagami added this on 27/01/05 for default page of OFF functionality.*/
				case "UserAuthentication":
					lsCGI = aSSLLink + lsCGI + "USERMGMT&SUB=UMADMIN";
					break;
				case "Administration" :
					lsCGI = aSSLLink + lsCGI + "ADMIN";
					break;
				default :
					lsTopMenuLocation = "/TopAccess/Device/TopMenu.htm";
					lsCGI = aHTTPLINK + lsCGI + "DEVICE";
					break;					
			}
		/* Comment for final integration */
		//The following line has been commented as per the client request. 29/03/03 Reddy
		//alert("parent.location.href = \"" + lsCGI + "\""); 
		/*parent.frames["TopMenu"].location = lsTopMenuLocation;
		parent.frames["SubMenu"].location.href =  lsSubMenuLocation;
		parent.frames["Contents"].location.href = lsContentsLocation;
		parent.frames["Footer"].location = "/TopAccess/Footer.htm";
		*/
		
		/* uncomment for final integration */
		parent.location.href = lsCGI;
		
		return;
}
/* Delete the function for final integration */
function fnnLoadDeviceSubMenu()
{
	/* Comment the following at the time of final integration */
	//29th March 2003 as per the new request CGI alert removed by Mandira
	//alert('parent.location.href = "/Default?MAIN=DEVICE"');
	/*
	lsSubMenuLocation = "/TopAccess/Device/SubMenu.htm";
	parent.frames["SubMenu"].location.href =  lsSubMenuLocation;
	parent.frames["Contents"].location.href = "/TopAccess/Device/Device.htm";
	*/

	/* UnComment the following at the time of final integration */
	parent.location.href = "/Default?MAIN=DEVICE";

	return;
	
}
function fnnLoadTab(sCaseVal,sAspInfoEnablerVal, sHttpLink)
{
	var lsCGI = sHttpLink + "Default?MAIN=";
	switch(sCaseVal)
	{
		case "1":
		case "3":
			lsCGI = lsCGI + "REGIST&SUB=TEMP";
			break;
		case "2":
			
			lsCGI = lsCGI + "REGIST&SUB=ADDR";
			break;
		case "4":
			 if(sAspInfoEnablerVal == "_F" || sAspInfoEnablerVal == "_FP" || sAspInfoEnablerVal == "" )
				lsCGI = lsCGI + "REGIST&SUB=MBOX";
			break;	

	}
	parent.location.href = lsCGI;
	return;
}

/* The following functions and isSafari is added for the bug eB9361 and preMck 7942 bugs for window resize problem
	in the case of resolution is 800*600 and mac window resize problem*/

var isSafari    = (navigator.userAgent.indexOf("Safari") != -1); //check for safari browser

//This function will decide on the frame size according to resolution in case of windows and mac 
function fnnWriteTopFrameSet()
{
	var nSizeWidth = screen.width;
	
	//Added by vijay on 180206 for VTK 10.1 to check the resolution in safari 

	if((isSafari==true)&&(nSizeWidth<=800))
	{
		document.write("<FRAMESET ROWS='92,30,*, 20' FRAMESPACING='0' FRAMEBORDER='0' BORDER='0' WIDTH='700' FRAMESPACING='0'> ");
	}
	else if(isSafari==true)
	{
		document.write("<FRAMESET ROWS='83,30,*, 20' FRAMESPACING='0' FRAMEBORDER='0' BORDER='0' WIDTH='700' FRAMESPACING='0'> ");
	}
	else
	{
		if(nSizeWidth<=800){
			
			document.write("<FRAMESET ROWS='98,30,*, 20' FRAMESPACING='0' FRAMEBORDER='0' BORDER='0' WIDTH='700' FRAMESPACING='0'> ");
		}
		else
		{
			document.write("<FRAMESET ROWS='80,30,*, 20' FRAMESPACING='0' FRAMEBORDER='0' BORDER='0' WIDTH='700' FRAMESPACING='0'> ");

		}
	}
}

/* This function will check for the resolution of the screen and accordingly decide on scroll bar */
function fnnWriteTopFrameName(sSRCName)
{
	var nSizeWidth = screen.width;

	if((nSizeWidth<=800)|| (isSafari==true)){
		document.write("<FRAME NAME='TopMenu' SRC='"+sSRCName+"' WIDTH='100%' MARGINHEIGHT='0' MARGINWIDTH='0' FRAMEBORDER='0' BORDER='0' SCROLLING='auto' NORESIZE FRAMESPACING='0' >");
	}
	else{
		document.write("<FRAME NAME='TopMenu' SRC='"+sSRCName+"' WIDTH='100%' MARGINHEIGHT='0' MARGINWIDTH='0' FRAMEBORDER='0' BORDER='0' SCROLLING='no' NORESIZE FRAMESPACING='0' >");
	}
}
