/***************************************************************************
Author Name		:	Srinivas
Date of Creation:	14/11/2002
Version Number	:	1.0
Purpose			:	This file Contatins the functions to restrict multiple 
					instances of Child window of Agent Settings.
***************************************************************************/

var oAgentSetWin;

/* Hema added for Destination Settings */
var oDestAddrBkWin;
var oDestAddrGrpWin;
var oDestNewGrpWin;
var oDestSearchWin;

/* Hema added for counters*/

var OCntrDeptCodeNewWin;


/**************************************************************************
Function Name	:	fnnCloseChildWindows
Parameters		:	None				
Return			:	none
Description		:	Closes all the child windows when the parent unloads
***************************************************************************/

function fnnCloseChildWindows()
{
	if((oAgentSetWin != null) && (oAgentSetWin.closed == false) )
		oAgentSetWin.close();
}


/**************************************************************************
Function Name	:	fnnOpenInNewWindow
Parameters		:	pFile				
Return			:	none
Description		:	Opens pFile in new window and holds the handle for it.
***************************************************************************/


var iScrnW = screen.width;//width of the screen
var iScrnH	= screen.height;//height of the screen

function fnnOpenPageInNewWindow(pFile, pWinName, pWinFeatures, pWinWidth, pWindHeight)
{
	var iWinW = pWinWidth;//window width
	var iWinH = pWindHeight;//window height
				
	var iXCoord = (iScrnW - iWinW) / 2;//new window X coordinate
	var iYCoord = (iScrnH - iWinH) / 2;//new window Y coordinate
				
	//if(navigator.appName == "Netscape")
	//	window.open("Test.htm","New","width="+iWinW+",height="+iWinH+",screenX="+iXCoord+",screenY="+iYCoord);
	//else//IE
	//window.open("Test.htm","New","width="+iWinW+",height="+iWinH+",left="+iXCoord+",top="+iYCoord);

	if((pWinName != null) && (pWinName.closed == false)) // if the window was created then bring the window in focus
	{		
			pWinName.location = pFile;
			pWinName.focus();
	}
	else // if the window was not created then only create and display a new window in the middle of the screen.
		window.open(pFile,pWinName,pWinFeatures + ",left=" + iXCoord + ",top=" + iYCoord);
		
	return;
}

				
function fnnOpenInNewWindow(pFile)
{
	var iWinW = 750;//window width
	var iWinH = 450;//window height
				
	var iXCoord = (iScrnW - iWinW) / 2;//new window X coordinate
	var iYCoord = (iScrnH - iWinH) / 2;//new window Y coordinate
		
	if((oAgentSetWin != null) && (oAgentSetWin.closed == false ) )// if the window was created then bring the window in focus
	{
			oAgentSetWin.location = pFile;
			oAgentSetWin.focus();
	}
	else  // if the window was not created then only create and display a new window in the middle of the screen.
		oAgentSetWin = window.open(pFile,"","toolbar=no,height=450,width=750,resizable=no,scrollbars=yes,left=" + iXCoord + ",top=" + iYCoord);
	return ;
}

function fnnOpenPrintjobsWindow(pFile)
{
	var iWinW = 500;//window width
	var iWinH = 170;//window height
				
	var iXCoord = (iScrnW - iWinW) / 2;//new window X coordinate
	var iYCoord = (iScrnH - iWinH) / 2;//new window Y coordinate

	if((oAgentSetWin != null) && (oAgentSetWin.closed == false ) )// if the window was created then bring the window in focus
	{		
			oAgentSetWin.location = pFile;
			oAgentSetWin.focus();
	}
	else // if the window was not created then only create and display a new window in the middle of the screen.
		oAgentSetWin = window.open(pFile,"","toolbar=no,height=170,width=500,resizable=yes,scrollbars=yes,left=" + iXCoord + ",top=" + iYCoord);
	
	return ;
}


function fnnOpenInExportNewWindow(pFile)
{
	var iWinW = 750;//window width
	var iWinH = 450;//window height
				
	var iXCoord = (iScrnW - iWinW) / 2;//new window X coordinate
	var iYCoord = (iScrnH - iWinH) / 2;//new window Y coordinate
				
	if((oAgentSetWin != null) && (oAgentSetWin.closed == false ) )// if the window was created then bring the window in focus
	{		
			oAgentSetWin.location = pFile;
			oAgentSetWin.focus();
	}
	else  // if the window was not created then only create and display a new window in the middle of the screen.
		oAgentSetWin = window.open(pFile,"","toolbar=no,height=450,width=750,resizable=no,scrollbars=no,left=" + iXCoord + ",top=" + iYCoord);
	return ;
}
